%% ------  Lezione8, 28 novembre 2016 ------ 
% Introduzione a prtools - 2

clear all; % cancella il contenuto di memoria
close all; % cancella tutte le figure presenti nella sessione
clc; % pulisce lo schermo

% Assicurarsi che prtools sia nel path (deve apparire con tutte
% le sottocartelle dopo aver dato il comando pathtool)
addpath(genpath('./prtools'));

%% Esercizio 1
A = mfeat_fou;
[tr, te] = gendat(A, 0.5);

W = tr*ldc;
confmat(te*W)

%% Esercizio 2

[err, std] = prcrossval(A, ldc, 10, 5);
[err2, std2] = prcrossval(A, ldc, 2, 5);
% Conclusione: 10-fold crossvalidation produce generalmente un errore
% più basso, ma richiede più tempo

%% Esercizio 3

E = cleval(A, {ldc, knnc}, [100, 200, 300, 400, 500, 600, 700], 2);
plote(E);